# dynaPV

## What?

A "regular" soft-IOC within the PSI framework that allows to dynamically create new PVs. It comes with a caQtDM panel, which looks like this:

![screenshot](https://gitlab.psi.ch/augustin_s/dynapv/-/wikis/uploads/c5f83796d7f54a686d263778ced2fa1b/dynaPV.png)

Description of fields and buttons:

- `Name`: name of the PV to be added or removed.
- `Type`: type of the PV to be added (may be `float`, `int`, `bool` or `str`).
- `add`: add the PV as configured, overwrites if type has changed.
- `remove`: remove the PV as configured, does not check the type.
- `apply`: restart the IOC to apply changes.
- `clear all`: remove all PVs.

The currently configured PVs are listed in the text box including their type.

## Installation?

```bash
ioc install -V
```
